> ## Documentation Index
> Fetch the complete documentation index at: https://docs.electronhub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Model Providers

> Providers that serve a model, with price, context window, latency, throughput, and uptime. Cached for 2 minutes.



## OpenAPI

````yaml GET /models/{model}/providers
openapi: 3.0.1
info:
  title: Electron Hub API
  description: >-
    Unified API platform integrating 200+ AI models for chat, image generation,
    speech-to-text, embeddings, and more.
  version: 1.0.0
  contact:
    name: Electron Hub Support
    email: support@electronhub.ai
    url: https://discord.com/invite/electronhub
  license:
    name: MIT
servers:
  - url: https://api.electronhub.ai/v1
    description: Production API v1
security:
  - bearerAuth: []
paths:
  /models/{model}/providers:
    get:
      tags:
        - Models
      summary: List providers for a model
      description: >-
        Providers that serve a model, with price, context window, latency,
        throughput, and uptime. Cached for 2 minutes.
      operationId: listModelProviders
      parameters:
        - name: model
          in: path
          required: true
          schema:
            type: string
          example: kimi-k2.6
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
              example:
                id: kimi-k2.6
                name: Kimi K2.6
                updated_at: 1794120000
                data:
                  - id: <provider-id>
                    name: Provider name
                    tokens: 262000
                    pricing:
                      type: per_million_tokens
                      input: 0.6
                      output: 3
                      cache_read: 0.16
                    status: 0
                    latency:
                      p50: 0.72
                      p75: 0.9
                      p90: 1.4
                      p99: 2.8
                      window_s: 1800
                      samples: 412
                    throughput:
                      p50: 41
                      p75: 36.2
                      p90: 28.9
                      p99: 17.5
                      window_s: 1800
                      samples: 412
                    latency_last_30m:
                      p50: 0.72
                      p75: 0.9
                      p90: 1.4
                      p99: 2.8
                    throughput_last_30m:
                      p50: 41
                      p75: 36.2
                      p90: 28.9
                      p99: 17.5
                    uptime_last_5m: 100
                    uptime_last_30m: 99.2
                    uptime_last_1d: 99.6
        '400':
          description: Unknown model
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  message: Invalid model.
                  type: error
                  param: null
                  code: 400
      security: []
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
            code:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your API key (starts with 'ek-')

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.